; Sgezahn durch Pulsbreiten-Modulation
;
; Fast-PWM 
; 
; f(fast)=1,2MHz / prescaler / 256 = 4687,5Hz
; 
.DEVICE ATtiny13		;fr gavrasm, fr Symbolische Registerbezeichnungen (z.B.'DDRB')
.cseg
.org 0
init:				; Vorbereitungen
	sbi ddrb,1		; Ausgang definieren
;	ldi r16,ramend		; Stack vorbereiten
;	out spl,r16		;
init_pwm:			;
	ldi r16,0b00100011	;   0 0 1 0  - - 1 1
	Out Tccr0a , R16	; A-^-^ ^-^-B    ^+^=Fast-PWM
	ldi r16,0b00000001	;   0 0 - -  0 0 0 1  
	Out Tccr0b , R16	;        PWM-^ ^+^+^-prescale 
main:				; Hauptprogramm
	adiw r24,1		; r25/r24 hochzhlen
	out ocr0b,r25		; r25 ausgeben, ergibt Sgezahn durch aufwrtszhlen
	rjmp main		;
