;
;Wrfel 
;
;LED an PB0-PB3 gegen GND
;Taste an PB4 gegen GND
;
; ---         ---
;|PB1|       |PB2| in Reihe
; ---         ---
; ---   ---   ---
;|PB3| |PB0| |PB3| in Reihe
; ---   ---   ---
; ---         ---
;|PB2|       |PB1| in Reihe
; ---         ---
;
.DEVICE ATtiny13	;fr gavrasm, fr Symbolische Registerbezeichnungen (z.B.'DDRB')
.cseg
.org 0

init:
;	ldi r16,ramend	;der Assembler ist so nett und holt uns RAMEND=0x9F als Zahl in r16 (#)
;	out spl,r16	;spl=0x3D; out 61,159 (dezimal) (#)
	ldi r16,15	;PB.0 bis PB.3 als Ausgang
	out ddrb,r16	;0b00001111
	sbi portb,4	;Pullup fr Taste
main:
eins:
	ldi r16,1	;0b0001
	rcall sub_wait	;
zwei:
	ldi r16,2	;0b0010
	rcall sub_wait	;
drei:
	ldi r16,5	;0b0101
	rcall sub_wait	;
vier:
	ldi r16,6	;0b0110
	rcall sub_wait	;
funf:
	ldi r16,7	;0b0111
	rcall sub_wait	;
sechs:
	ldi r16,14	;0b1110
	rcall sub_wait	;
	rjmp main	;alles nochmal
			;
sub_wait:		; Unterprogramm 
	out portb,r16	; ausgeben
	adiw r24,8	; r25/r24 hochzhlen
	brbc 1,sub_wait	; springe wenn Z=0
	sbis PINB,4 	; Ueberspringe Befehl wenn PB4 eins
	ret		; zurck ins Hauptprogramm (wenn R25/r24=0)
sub_wait1:		;
	sbic PINB,4 	; Ueberspringe Befehl wenn PB4 null
	rjmp sub_wait1	;
	ret		;
ende:
